> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ifixit/stories/search

> List iFixit community repair stories, filtered by guide, part or language

**Price:** 10 credits per 50 results



## OpenAPI

````yaml /openapi/repair-diy.json post /api/ifixit/stories/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ifixit/stories/search:
    post:
      tags:
        - /ifixit
      summary: /ifixit/stories/search
      description: >-
        List iFixit community repair stories, filtered by guide, part or
        language


        **Price:** 10 credits per 50 results
      operationId: __api_ifixit_stories_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IfixitStoriesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IfixitStory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IfixitStoriesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          maximum: 5000
          minimum: 1
        language:
          $ref: '#/components/schemas/IfixitLanguage'
          default: en
        sort:
          $ref: '#/components/schemas/IfixitStorySort'
          default: newest_first
        guide:
          anyOf:
            - type: string
            - type: 'null'
        product:
          anyOf:
            - type: string
            - type: 'null'
        only_with_images:
          type: boolean
          default: false
      type: object
      required:
        - count
    IfixitStory:
      properties:
        '@type':
          type: string
          default: IfixitStory
        id:
          type: string
        name:
          type: string
        name_html:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        intro:
          anyOf:
            - type: string
            - type: 'null'
        intro_html:
          anyOf:
            - type: string
            - type: 'null'
        text:
          anyOf:
            - type: string
            - type: 'null'
        text_html:
          anyOf:
            - type: string
            - type: 'null'
        conclusion:
          anyOf:
            - type: string
            - type: 'null'
        conclusion_html:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        modified_at:
          anyOf:
            - type: integer
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/IfixitAuthor'
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        guides:
          items:
            $ref: '#/components/schemas/IfixitGuidePreview'
          type: array
          default: []
        products:
          items:
            $ref: '#/components/schemas/IfixitStoryProduct'
          type: array
          default: []
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IfixitLanguage:
      type: string
      enum:
        - en
        - de
        - es
        - fr
        - it
        - jp
        - ko
        - nl
        - pt
        - ru
        - tr
        - zh
    IfixitStorySort:
      type: string
      enum:
        - oldest_first
        - newest_first
    IfixitAuthor:
      properties:
        '@type':
          type: string
          default: IfixitAuthor
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        reputation:
          anyOf:
            - type: integer
            - type: 'null'
        joined_at:
          anyOf:
            - type: integer
            - type: 'null'
        contribution_percent:
          anyOf:
            - type: number
            - type: 'null'
        team_ids:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - id
    IfixitGuidePreview:
      properties:
        '@type':
          type: string
          default: IfixitGuidePreview
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        summary:
          anyOf:
            - type: string
            - type: 'null'
        subject:
          anyOf:
            - type: string
            - type: 'null'
        category:
          anyOf:
            - type: string
            - type: 'null'
        guide_type:
          anyOf:
            - type: string
            - type: 'null'
        difficulty:
          anyOf:
            - type: string
            - type: 'null'
        time_required_max:
          anyOf:
            - type: integer
            - type: 'null'
        locale:
          anyOf:
            - type: string
            - type: 'null'
        is_public:
          anyOf:
            - type: boolean
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        flags:
          items:
            type: string
          type: array
          default: []
        author_id:
          anyOf:
            - type: string
            - type: 'null'
        author_name:
          anyOf:
            - type: string
            - type: 'null'
        modified_at:
          anyOf:
            - type: integer
            - type: 'null'
        revision_id:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    IfixitStoryProduct:
      properties:
        '@type':
          type: string
          default: IfixitStoryProduct
        name:
          type: string
        text:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        product_code:
          anyOf:
            - type: string
            - type: 'null'
        option_id:
          anyOf:
            - type: string
            - type: 'null'
        option_name:
          anyOf:
            - type: string
            - type: 'null'
        item_code:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````